name: Infer
input_languages:
  - C
project_url: https://fbinfer.com/
repository_url: https://gitlab.com/sosy-lab/software/infer-sv
spdx_license_identifier: Apache-2.0
benchexec_toolinfo_module: https://gitlab.com/sosy-lab/software/benchexec/-/raw/main/benchexec/tools/infer.py
fmtools_format_version: "2.0"
fmtools_entry_maintainers:
  - matthiaskettl
  - lemberger

maintainers:
  - name: Hors Concours
    institution: --
    country: --
    url: null

versions:
  - version: "svcomp24"
    doi: 10.5281/zenodo.10079740
    benchexec_toolinfo_options: []
    required_ubuntu_packages: []
  - version: "svcomp23"
    url: "https://gitlab.com/sosy-lab/sv-comp/archives-2023/-/raw/main/2023/infer.zip"
    benchexec_toolinfo_options: []
    required_ubuntu_packages: []

competition_participations:
  - competition: "SV-COMP 2024"
    track: "Verification"
    tool_version: "svcomp24"
    jury_member:
      name: Hors Concours
      institution: --
      country: --
      url: null
  - competition: "SV-COMP 2023"
    track: "Verification"
    tool_version: "svcomp23"
    jury_member:
      name: Hors Concours
      institution: --
      country: --
      url: null

techniques:
  - Numeric Interval Analysis
  - Shape Analysis
  - Separation Logic
  - Portfolio
